# Created by pyp2rpm-3.3.2
%global pypi_name readme-renderer
%global srcname   readme_renderer

# missing icdiff pytest-icdiff, pprintpp
%bcond_with check

Name:           python-%{pypi_name}
Version:        42.0
Release:        %mkrel 1
Summary:        readme_renderer is a library for rendering "readme" descriptions for Warehouse
Group:          Development/Python
License:        Apache License, Version 2.0
URL:            https://pypi.org/project/readme-renderer
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Readme Renderer is a library that will safely render arbitrary README files
into HTML. It is designed to be used in Warehouse to render the
long_description for packages. It can handle Markdown, reStructuredText (.rst),
and plain text.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Readme Renderer is a library that will safely render arbitrary README files
into HTML. It is designed to be used in Warehouse to render the
long_description for packages. It can handle Markdown, reStructuredText (.rst),
and plain text.

%prep
%autosetup -n readme_renderer-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files readme_renderer

%if %{with check}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Tue Dec 26 2023 wally <wally> 42.0-1.mga10
+ Revision: 2021528
- new version 42.0
- use %%pyproject_buildrequires

* Sun Oct 02 2022 neoclust <neoclust> 37.2-1.mga9
+ Revision: 1894055
- New version 37.2

* Wed Sep 07 2022 neoclust <neoclust> 37.0-1.mga9
+ Revision: 1885197
- New version  37.0
 Apache License, Version 2.0

* Sat Aug 20 2022 papoteur <papoteur> 36.0-1.mga9
+ Revision: 1878909
- new 36.0

* Tue Mar 29 2022 umeabot <umeabot> 32.0-2.mga9
+ Revision: 1831962
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 32.0-1.mga9
+ Revision: 1779250
- version 32.0
- rebuild for python-3.10
- disabled tests as neither 29.0 or 32.0 would build with them

* Sun Mar 21 2021 joequant <joequant> 29.0-2.mga9
+ Revision: 1706787
- update to python 3.9

* Sun Feb 28 2021 guillomovitch <guillomovitch> 29.0-1.mga9
+ Revision: 1694308
- new version 29.0

* Tue Oct 13 2020 shlomif <shlomif> 27.0-1.mga8
+ Revision: 1635254
- New version 27.0

* Thu Jun 04 2020 cheeseeboi <cheeseeboi> 26.0-1.mga8
+ Revision: 1590348
- Updated package to 26.0
- Updated package to 26.0

* Sun Feb 16 2020 umeabot <umeabot> 24.0-3.mga8
+ Revision: 1534002
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 24.0-2.mga8
+ Revision: 1446548
- rebuild for python3.8

* Fri Jul 19 2019 shlomif <shlomif> 24.0-1.mga8
+ Revision: 1422975
- add BRs
- pyp2rpm

